Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.windows
Class WindowsScrollPaneUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.ScrollPaneUI
              javax.swing.plaf.basic.BasicScrollPaneUI
                  com.sun.java.swing.plaf.windows.WindowsScrollPaneUI
                      com.jgoodies.looks.windows.WindowsScrollPaneUI

All Implemented Interfaces:
  ScrollPaneConstants

    public final class WindowsScrollPaneUI

extends com.sun.java.swing.plaf.windows.WindowsScrollPaneUI

The JGoodies Windows L&F implementation of `ScrollPaneUI`. Installs an etched border if the client property `Options.IS_ETCHED_KEY` is set.

Version:
  $Revision: 1.9 $
Author:
  Karsten Lentzsch
See Also:
  `Options.IS_ETCHED_KEY`

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicScrollPaneUI
`BasicScrollPaneUI.HSBChangeListener, BasicScrollPaneUI.MouseWheelHandler, BasicScrollPaneUI.PropertyChangeHandler, BasicScrollPaneUI.ViewportChangeHandler, BasicScrollPaneUI.VSBChangeListener`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicScrollPaneUI
`hsbChangeListener, scrollpane, spPropertyChangeListener, viewportChangeListener, vsbChangeListener`

Fields inherited from interface javax.swing.ScrollPaneConstants
`COLUMN_HEADER, HORIZONTAL_SCROLLBAR, HORIZONTAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER, HORIZONTAL_SCROLLBAR_POLICY, LOWER_LEADING_CORNER, LOWER_LEFT_CORNER, LOWER_RIGHT_CORNER, LOWER_TRAILING_CORNER, ROW_HEADER, UPPER_LEADING_CORNER, UPPER_LEFT_CORNER, UPPER_RIGHT_CORNER, UPPER_TRAILING_CORNER, VERTICAL_SCROLLBAR, VERTICAL_SCROLLBAR_ALWAYS, VERTICAL_SCROLLBAR_AS_NEEDED, VERTICAL_SCROLLBAR_NEVER, VERTICAL_SCROLLBAR_POLICY, VIEWPORT`

Constructor Summary
`WindowsScrollPaneUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent b)`
`protected void` | `installDefaults(JScrollPane scrollPane)`
`protected void` | `installEtchedBorder(JScrollPane scrollPane)`
`void` | `installListeners(JScrollPane scrollPane)`
`protected void` | `uninstallListeners(JComponent c)`

Methods inherited from class javax.swing.plaf.basic.BasicScrollPaneUI
`createHSBChangeListener, createMouseWheelListener, createPropertyChangeListener, createViewportChangeListener, createVSBChangeListener, getBaseline, getBaselineResizeBehavior, getMaximumSize, installKeyboardActions, installUI, paint, syncScrollPaneWithViewport, uninstallDefaults, uninstallKeyboardActions, uninstallUI, updateColumnHeader, updateRowHeader, updateScrollBarDisplayPolicy, updateViewport`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getMinimumSize, getPreferredSize, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowsScrollPaneUI

    public WindowsScrollPaneUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### installDefaults

    protected void installDefaults(JScrollPane scrollPane)

  Overrides:
    `installDefaults` in class `BasicScrollPaneUI`

### installEtchedBorder

    protected void installEtchedBorder(JScrollPane scrollPane)

### installListeners

    public void installListeners(JScrollPane scrollPane)

  Overrides:
    `installListeners` in class `BasicScrollPaneUI`

### uninstallListeners

    protected void uninstallListeners(JComponent c)

  Overrides:
    `uninstallListeners` in class `BasicScrollPaneUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JGoodies Karsten Lentzsch. All Rights Reserved.